using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.HuiJu
{
    /// <summary>
    /// 服务工单回访评价
    /// </summary>
    public class SubmitVisitInfo
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [JsonPropertyName("VISIT_TYPE")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人员
        /// </summary>
        [JsonPropertyName("VISIT_NAME")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [JsonPropertyName("VISIT_TIME")]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [JsonPropertyName("VISIT_REMARK")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [JsonPropertyName("SUBJECT_RESULT_SATIFY")]
        public string SubjectResultSatify { get; set; }

        /// <summary>
        /// 工单回访首次结果满意度
        /// </summary>
        [JsonPropertyName("FirstSatisfaction")]
        public string FirstSatisfaction { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
